import { participleWords } from "src/workers/types";
export interface SearchModelOptions {
    ak: string;
    env: string;
    userId: string;
}
export declare class SearchModel {
    db: IDBDatabase | undefined;
    init(options: SearchModelOptions): Promise<unknown>;
    getValue(words: string): Promise<participleWords[]>;
    getByWords(words: string, pageSize: number, page: number): Promise<participleWords[]>;
    getCacheParticipleSequence(): Promise<number>;
    setCacheParticipleSequence(seq: number): Promise<unknown> | undefined;
    addWord(data: participleWords, updateSequence?: boolean): Promise<unknown>;
    removeByseq(seq: number): Promise<unknown>;
}
export declare const searchModelInstance: SearchModel;
export default searchModelInstance;
